#! /usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const path_1 = require("path");
const validator_1 = require("../src/validator");
runValidator();
function runValidator() {
    const errString = 'Usage: json-schema-diff-validator schemafile1 schemafile2';
    const args = process.argv.slice(2);
    assert.strictEqual(args.length, 2, errString);
    const files = args.map((file) => (0, path_1.resolve)(file));
    (0, validator_1.validateSchemaFiles)(files[0], files[1]);
}
//# sourceMappingURL=cli.js.map